local E, L, V, P, G = unpack(ElvUI); --Inport: Engine, Locales, PrivateDB, ProfileDB, GlobalDB

local CURRENT_PAGE = 0
local MAX_PAGE = 1

SLASH_TOHR1, SLASH_TOHR2, SLASH_TOHR3 = '/tui', '/tohr', '/tohrui';
function SlashCmdList.TOHR(msg, editbox)
	CURRENT_PAGE = 0
	E:Install();
end

ElvUF_Player.Combat:SetAlpha(0.0)
ElvUF_Player:SetFrameStrata('Medium')
ElvUF_Player.Castbar:SetFrameStrata('HIGH')
ElvUF_Player.Castbar:SetAlpha(1)
ElvUF_Player.Castbar.backdrop:SetAlpha(1)
ElvUF_Player.Castbar:SetFrameLevel(5)

Tohr_Version = GetAddOnMetadata("ElvUI_TohrUI", "Version");
Tohr_Title = GetAddOnMetadata("ElvUI_TohrUI", "Title");

L["LOGIN_MSG"] = ""..Tohr_Title.." |cffffffffhas been fully loaded. Type |cffFF4500/tui |cffffffffto start installation or |cffFF4500/ec |cffffffffto change ElvUI options. Please save any profiles before install"

function E:GetColor(r, b, g, a)	
	return { r = r, b = b, g = g, a = a }
end


function E:SetupTheme(theme, noDisplayMsg)
	local classColor = RAID_CLASS_COLORS[E.myclass]
	E.private.theme = theme
	if not E.db.movers then E.db.movers = {}; end
		if theme == "TohrUI" then
		InstallStepComplete.message = L["Interface Installed"]
		InstallStepComplete:Show()
	-- Movers
		-- Player
		E.db.movers["ElvUF_PlayerMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,240"
		E.db.movers["ElvUF_PlayerCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,219"
		E.db.movers["PlayerPowerBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,305"
		E.db.movers["ClassBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,321" 
		-- Target
		E.db.movers["ElvUF_TargetMover"] = "BOTTOM,ElvUIParent,BOTTOM,315,405"
		E.db.movers["ElvUF_TargetCastbarMover"] = "TOP,ElvUIParent,TOP,0,-450"
		E.db.movers["ComboBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,322"
		-- Target of Target / Focus / Pet
		E.db.movers["ElvUF_TargetTargetMover"] = "BOTTOM,ElvUIParent,BOTTOM,187,409"
		E.db.movers["ElvUF_FocusMover"] = "BOTTOM,ElvUIParent,BOTTOM,127,240"
		E.db.movers["ElvUF_FocusCastbarMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,30,-30"
		E.db.movers["ElvUF_PetMover"] = "BOTTOM,ElvUIParent,BOTTOM,-131,91"
		E.db.movers["ElvUF_PetCastbarMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,30,-30"
		-- Groups
		E.db.movers["ElvUF_PartyMover"] = "TOPRIGHT,ElvUIParent,BOTTOMLEFT,1102,163"
		E.db.movers["ElvUF_RaidMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,30,405"
		E.db.movers["ElvUF_Raid40Mover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,30,469"
		E.db.movers["ElvUF_AssistMover"] = "TOP,ElvUIParent,TOP,-301,-4"
		E.db.movers["ElvUF_TankMover"] = "TOP,ElvUIParent,TOP,-302,-4"
		E.db.movers["AltPowerBarMover"] = "TOP,ElvUIParent,TOP,0,-210"
		E.db.movers["ArenaHeaderMover"] = "TOP,ElvUIParent,TOP,-312,-239"
		E.db.movers["BossHeaderMover"] = "BOTTOM,ElvUIParent,BOTTOM,-277,260"
		-- Action Bars
		E.db.movers["ElvAB_1"] = "BOTTOM,ElvUIParent,BOTTOM,0,59"
		E.db.movers["ElvAB_2"] = "BOTTOM,ElvUIParent,BOTTOM,0,30"
		E.db.movers["ElvAB_3"] = "BOTTOM,ElvUIParent,BOTTOM,0,0"
		E.db.movers["ElvAB_4"] = "TOPLEFT,ElvUIParent,TOPLEFT,30,-30"
		E.db.movers["ElvAB_5"] = "BOTTOM,ElvUIParent,BOTTOM,0,270"
		E.db.movers["ElvAB_6"] = "TOPLEFT,ElvUIParent,TOPLEFT,30,-30"
		E.db.movers["MicrobarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-482,30"
		E.db.movers["ShiftAB"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,483,30"
		E.db.movers["PetAB"] = "BOTTOM,ElvUIParent,BOTTOM,44,90"
		E.db.movers["BossButton"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,343,313"
		-- Main UI
		E.db.movers["MinimapMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-30,-30"
		E.db.movers["RightChatMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-30,30"
		E.db.movers["LeftChatMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,30,30"
		E.db.movers["BuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-200,-31"
		E.db.movers["DebuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-200,-128"
		E.db.movers["TalkingHeadFrameMover"] = "TOP,ElvUIParent,TOP,0,-30"
		E.db.movers["LossControlMover"] = "TOP,ElvUIParent,TOP,0,-350"
		E.db.movers["ObjectiveFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-82,-213"
		E.db.movers["WatchFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-143,-206"
		E.db.movers["TooltipMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-30,388"
		-- Everything Else
		E.db.movers["VehicleSeatMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-30,258"
		E.db.movers["GMMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-272,30"
		E.db.movers["CM_MOVER"] = "BOTTOM,ElvUIParent,BOTTOM,0,389"
		E.db.movers["MirrorTimer1Mover"] = "TOP,ElvUIParent,TOP,0,-100"
		E.db.movers["BNETMover"] = "BOTTOM,ElvUIParent,BOTTOM,-303,30"
		E.db.movers["ExperienceBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-30,-201"
		E.db.movers["ReputationBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-30,-201"
		E.db.movers["ArtifactBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-30,-179"
		E.db.movers["HonorBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-30,-190"
		E.db.movers["LootFrameMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,375,-30"
		E.db.movers["AlertFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-495,-195"		
		E.db.movers["TotemBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,482,72"
	-- Main
		E.db.bagsOffsetFixed = true
		E.db.hideTutorial = true
		E.db.bossAuraFiltersConverted = true
	-- Actionbars
		E.db.actionbar.font = "Semplice C"
		E.db.actionbar.globalFadeAlpha = 0
		E.db.actionbar.lockActionBars = true
		E.db.actionbar.movementModifier = "CTRL"
		E.db.actionbar.fontSize = 8
		E.db.actionbar.fontOutline = "MONOCHROMEOUTLINE"
		E.db.actionbar.macrotext = false
		E.db.actionbar.hotkeytext = false
		E.db.actionbar.noRangeColor = {r = 204/255, g = 26/255, b = 26/255}
		E.db.actionbar.noPowerColor = {r = 128/255, g = 128/255, b = 255/255}
		E.db.actionbar.microbar.enabled = false
		E.db.actionbar.microbar.mouseover = true
		E.db.actionbar.microbar.buttonsPerRow = 10
		E.db.actionbar.microbar.alpha = 1
		E.db.actionbar.extraActionButton.alpha = 1
		E.db.actionbar.extraActionButton.scale = 1
		-- Bar 1
		E.db.actionbar.bar1.enabled = true
		E.db.actionbar.bar1.mouseover = false
		E.db.actionbar.bar1.buttons = 12
		E.db.actionbar.bar1.buttonsPerRow = 12
		E.db.actionbar.bar1.buttonsize = 28
		E.db.actionbar.bar1.buttonspacing = 1
		E.db.actionbar.bar1.backdrop = false
		E.db.actionbar.bar1.point = "BOTTOMLEFT"
		E.db.actionbar.bar1.heightMult = 1
		E.db.actionbar.bar1.widthMult = 1
		E.db.actionbar.bar1.backdropSpacing = 0
		E.db.actionbar.bar1.alpha = 1
		E.db.actionbar.bar1.inheritGlobalFade = false
		E.db.actionbar.bar1.showGrid = true
		-- Bar 2
		E.db.actionbar.bar2.enabled = true
		E.db.actionbar.bar2.mouseover = false
		E.db.actionbar.bar2.buttons = 12
		E.db.actionbar.bar2.buttonsPerRow = 12
		E.db.actionbar.bar2.buttonsize = 28
		E.db.actionbar.bar2.buttonspacing = 1
		E.db.actionbar.bar2.backdrop = false
		E.db.actionbar.bar2.point = "BOTTOMLEFT"
		E.db.actionbar.bar2.heightMult = 1
		E.db.actionbar.bar2.widthMult = 1
		E.db.actionbar.bar2.backdropSpacing = 0
		E.db.actionbar.bar2.alpha = 1
		E.db.actionbar.bar2.inheritGlobalFade = false
		E.db.actionbar.bar2.showGrid = true
		-- Bar 3		
		E.db.actionbar.bar3.enabled = true
		E.db.actionbar.bar3.mouseover = true
		E.db.actionbar.bar3.buttons = 12
		E.db.actionbar.bar3.buttonsPerRow = 12
		E.db.actionbar.bar3.buttonsize = 28
		E.db.actionbar.bar3.buttonspacing = 1
		E.db.actionbar.bar3.backdrop = false
		E.db.actionbar.bar3.point = "BOTTOMLEFT"
		E.db.actionbar.bar3.heightMult = 1
		E.db.actionbar.bar3.widthMult = 1
		E.db.actionbar.bar3.backdropSpacing = 0
		E.db.actionbar.bar3.alpha = 1
		E.db.actionbar.bar3.inheritGlobalFade = false
		E.db.actionbar.bar3.showGrid = true
		-- Bar 4		
		E.db.actionbar.bar4.enabled = false
		E.db.actionbar.bar4.mouseover = false
		E.db.actionbar.bar4.buttons = 6
		E.db.actionbar.bar4.buttonsPerRow = 12
		E.db.actionbar.bar4.buttonsize = 33
		E.db.actionbar.bar4.buttonspacing = 1
		E.db.actionbar.bar4.backdrop = false
		E.db.actionbar.bar4.point = "BOTTOMLEFT"
		E.db.actionbar.bar4.heightMult = 1
		E.db.actionbar.bar4.widthMult = 1
		E.db.actionbar.bar4.backdropSpacing = 1
		E.db.actionbar.bar4.alpha = 1
		E.db.actionbar.bar4.inheritGlobalFade = false
		E.db.actionbar.bar4.showGrid = true
		-- Bar 5		
		E.db.actionbar.bar5.enabled = true
		E.db.actionbar.bar5.mouseover = false
		E.db.actionbar.bar5.buttons = 6
		E.db.actionbar.bar5.buttonsPerRow = 12
		E.db.actionbar.bar5.buttonsize = 33
		E.db.actionbar.bar5.buttonspacing = 1
		E.db.actionbar.bar5.backdrop = false
		E.db.actionbar.bar5.point = "BOTTOMLEFT"
		E.db.actionbar.bar5.heightMult = 1
		E.db.actionbar.bar5.widthMult = 1
		E.db.actionbar.bar5.backdropSpacing = 1
		E.db.actionbar.bar5.alpha = 1
		E.db.actionbar.bar5.inheritGlobalFade = false
		E.db.actionbar.bar5.showGrid = true
		-- Bar 6		
		E.db.actionbar.bar6.enabled = false
		E.db.actionbar.bar6.mouseover = true
		E.db.actionbar.bar6.buttons = 12
		E.db.actionbar.bar6.buttonsPerRow = 12
		E.db.actionbar.bar6.buttonsize = 28
		E.db.actionbar.bar6.buttonspacing = 1
		E.db.actionbar.bar6.backdrop = false
		E.db.actionbar.bar6.point = "BOTTOMLEFT"
		E.db.actionbar.bar6.heightMult = 1
		E.db.actionbar.bar6.widthMult = 1
		E.db.actionbar.bar6.backdropSpacing = 0
		E.db.actionbar.bar6.alpha = 1
		E.db.actionbar.bar6.inheritGlobalFade = false
		E.db.actionbar.bar6.showGrid = true
		-- Bar Pet		
		E.db.actionbar.barPet.enabled = true
		E.db.actionbar.barPet.mouseover = false
		E.db.actionbar.barPet.style = "darkenInactive"
		E.db.actionbar.barPet.buttons = NUM_STANCE_SLOTS
		E.db.actionbar.barPet.buttonsPerRow = NUM_STANCE_SLOTS
		E.db.actionbar.barPet.buttonsize = 25
		E.db.actionbar.barPet.buttonspacing = 1
		E.db.actionbar.barPet.backdrop = false
		E.db.actionbar.barPet.point = "TOPLEFT"
		E.db.actionbar.barPet.heightMult = 1
		E.db.actionbar.barPet.widthMult = 1
		E.db.actionbar.barPet.backdropSpacing = 0
		E.db.actionbar.barPet.alpha = 0.65
		E.db.actionbar.barPet.inheritGlobalFade = false
		E.db.actionbar.barPet.showGrid = true
		-- Bar Stance Bar		
		E.db.actionbar.stanceBar.enabled = false
		E.db.actionbar.stanceBar.mouseover = false
		E.db.actionbar.stanceBar.style = "darkenInactive"
		E.db.actionbar.stanceBar.buttons = NUM_STANCE_SLOTS
		E.db.actionbar.stanceBar.buttonsPerRow = NUM_STANCE_SLOTS
		E.db.actionbar.stanceBar.buttonsize = 30
		E.db.actionbar.stanceBar.buttonspacing = 1
		E.db.actionbar.stanceBar.backdrop = false
		E.db.actionbar.stanceBar.point = "BOTTOMLEFT"
		E.db.actionbar.stanceBar.heightMult = 1
		E.db.actionbar.stanceBar.widthMult = 1
		E.db.actionbar.stanceBar.backdropSpacing = 0
		E.db.actionbar.stanceBar.alpha = 1
		E.db.actionbar.stanceBar.inheritGlobalFade = false
		E.db.actionbar.stanceBar.showGrid = true
	-- Auras
		E.db.auras.disableBlizzard = true
		E.db.auras.font = "Semplice C"
		E.db.auras.fontSize = 8
		E.db.auras.fontOutline = "MONOCHROMEOUTLINE"
		E.db.auras.buffs.wrapAfter = 12
		E.db.auras.buffs.maxWraps = 2
		E.db.auras.buffs.horizontalSpacing = 1
		E.db.auras.buffs.verticalSpacing = 16
		E.db.auras.buffs.size = 32
		E.db.auras.buffs.seperateOwn = 0
		E.db.auras.debuffs.horizontalSpacing = 1
		E.db.auras.debuffs.wrapAfter = 6
		E.db.auras.debuffs.seperateOwn = 0
		E.db.auras.debuffs.sortDir = "+"
		E.db.auras.debuffs.size = 32
	-- Bags
		E.db.bags.bagSize = 34
		E.db.bags.bankSize = 34
		E.db.bags.bagWidth = 473
		E.db.bags.bankWidth = 473
		E.db.bags.alignToChat = false
		E.db.bags.sortInverted = false
		E.db.bags.moneyCoins = true
		E.db.bags.moneyFormat = "BLIZZARD"
		E.db.bags.junkIcon = true
		E.db.bags.currencyFormat = "ICON"
		E.db.bags.bagBar.enable = false
		E.db.bags.countFontSize = 8
		E.db.bags.countFont = "Semplice C"
		E.db.bags.countFontOutline = "MONOCHROMEOUTLINE"
		E.db.bags.itemLevel = false
		E.db.bags.itemLevelFont = "Semplice C"
		E.db.bags.itemLevelFontSize = 8
		E.db.bags.itemLevelOutline = "MONOCHROMEOUTLINE"
	-- Chat
		E.db.chat.font = "Roboto-Black"
		E.db.chat.fontOutline = "OUTLINE"
		E.db.chat.emotionIcons = false
		E.db.chat.panelWidth = 450
		E.db.chat.panelHeight = 250
		E.db.chat.panelWidthRight = 450
		E.db.chat.panelHeightRight = 250
		E.db.chat.separateSizes = false
		E.db.chat.panelBackdrop = "HIDEBOTH"
		E.db.chat.panelTabBackdrop = false
		E.db.chat.panelTabTransparency = false
		E.db.chat.tabFont = "Semplice C"
		E.db.chat.tabFontSize = 8
		E.db.chat.tabFontOutline = "MONOCHROMEOUTLINE"
		E.db.chat.lfgIcons = false
		E.db.chat.chatHistory = false
		E.db.chat.keywords = "%MYNAME%, ElvUI, TohrUI"
		E.db.chat.timeStampFormat = "NONE"
		E.db.chat.editBoxPosition = "ABOVE_CHAT"
		E.db.chat.fadeUndockedTabs = false
		E.db.chat.fadeTabsNoBackdrop = true
	-- Cooldown
		E.db.cooldown.threshold = 2
		E.db.cooldown.expiringcolor = { r = 255/255, g = 54/255, b = 54/255 }
		E.db.cooldown.secondscolor = { r = 156/255, g = 255/255, b = 123/255 }
		E.db.cooldown.minutescolor = { r = 1, g = 1, b = 1 }
		E.db.cooldown.hourscolor = { r = 102/225, g = 255/225, b = 255/225 }
		E.db.cooldown.dayscolor = { r = 102/225, g = 102/225, b = 255/225 }
	--DataBars		
		E.db.databars.experience.enable = true
		E.db.databars.experience.width = 148
		E.db.databars.experience.height = 10
		E.db.databars.experience.orientation = "HORIZONTAL"
		E.db.databars.experience.textFormat = "NONE"
		E.db.databars.experience.textSize = 8
		E.db.databars.experience.mouseover = false
		E.db.databars.experience.reverseFill = false
		E.db.databars.experience.hideAtMaxLevel = true
		E.db.databars.experience.hideInVehicle = false		
		E.db.databars.artifact.enable = true
		E.db.databars.artifact.width = 148
		E.db.databars.artifact.height = 10
		E.db.databars.artifact.orientation = "HORIZONTAL"
		E.db.databars.artifact.textFormat = "NONE"
		E.db.databars.artifact.textSize = 8
		E.db.databars.artifact.mouseover = false
		E.db.databars.artifact.reverseFill = false
		E.db.databars.artifact.hideInVehicle = false		
		E.db.databars.reputation.enable = true
		E.db.databars.reputation.width = 148
		E.db.databars.reputation.height = 10
		E.db.databars.reputation.orientation = "HORIZONTAL"
		E.db.databars.reputation.textFormat = "NONE"
		E.db.databars.reputation.textSize = 8
		E.db.databars.reputation.mouseover = false
		E.db.databars.reputation.reverseFill = false
		E.db.databars.reputation.hideInVehicle = false
		E.db.databars.honor.enable = true
		E.db.databars.honor.width = 148
		E.db.databars.honor.height = 10
		E.db.databars.honor.orientation = "HORIZONTAL"
		E.db.databars.honor.textFormat = "NONE"
		E.db.databars.honor.textSize = 8
		E.db.databars.honor.mouseover = false
		E.db.databars.honor.reverseFill = false
		E.db.databars.honor.hideInVehicle = false
	-- DataTexts
		E.db.datatexts.font = "Semplice C"
		E.db.datatexts.fontSize = 8
		E.db.datatexts.fontOutline = "MONOCHROMEOUTLINE"
		E.db.datatexts.minimapPanels = false
		E.db.datatexts.leftChatPanel = true
		E.db.datatexts.rightChatPanel = false
		E.db.datatexts.minimapTop = false
		E.db.datatexts.minimapTopLeft = false
		E.db.datatexts.minimapTopRight = false
		E.db.datatexts.minimapBottom = true
		E.db.datatexts.minimapBottomLeft = false
		E.db.datatexts.minimapBottomRight = false
		E.db.datatexts.panels.LeftChatDataPanel.left = "Durability"
		E.db.datatexts.panels.LeftChatDataPanel.middle = "Orderhall"
		E.db.datatexts.panels.LeftChatDataPanel.right = "System"
		E.db.datatexts.panels.RightChatDataPanel.left = ""
		E.db.datatexts.panels.RightChatDataPanel.middle = ""
		E.db.datatexts.panels.RightChatDataPanel.right = ""
		E.db.datatexts.panels.LeftMiniPanel = ""
		E.db.datatexts.panels.RightMiniPanel = ""
		E.db.datatexts.panels.BottomMiniPanel = "Time"
		E.db.datatexts.battleground = false
	-- General
		E.db.general.taintLog = false
		E.db.general.stickyFrames = true
		E.db.general.loginmessage = true
		E.db.general.afk = false
		E.db.general.fontSize = 10
		E.db.general.font = "Roboto-Black"
		E.db.general.chatBubbleFont = "Roboto-Black"
		E.db.general.dmgfont = "Roboto-Black"
		E.db.general.namefont = "Roboto-Black"
		E.db.general.normTex = "tFlat"
		E.db.general.glossTex = "tFlat"
		E.db.general.threat.enable = false
		E.db.general.autoAcceptInvite = false
		E.db.general.talkingHeadFrameScale = 0.9
		E.db.general.objectiveFrameHeight = 540
		E.db.general.bonusObjectivePosition = "LEFT"
		E.db.general.interruptAnnounce = "NONE"
		E.db.general.vendorGrays = true
		E.db.general.autoRepair = "GUILD"
		E.db.general.autoRoll = true
		E.db.general.hideErrorFrame = true
		E.db.general.enhancedPvpMessages = true
		E.db.general.totems.enable = true
		E.db.general.totems.growthDirection = "VERTICAL"
		E.db.general.totems.sortDirection = "DESCENDING"
		E.db.general.totems.size = 40
		E.db.general.minimap.size = 146
		E.db.general.minimap.locationText = "MOUSEOVER"
		E.db.general.minimap.icons.classHall.scale = 0.8
		E.db.general.minimap.icons.classHall.position = "TOPLEFT"
		E.db.general.minimap.icons.classHall.hide = false
		E.db.general.minimap.icons.calendar.hide = true
		E.db.general.minimap.icons.lfgEye.scale = 1
		E.db.general.minimap.icons.lfgEye.position = "BOTTOMRIGHT"
		E.db.general.minimap.icons.lfgEye.xOffset = 6
		E.db.general.minimap.icons.lfgEye.yOffset = -6
		E.db.general.minimap.icons.vehicleLeave.size = 40
		E.db.general.minimap.icons.vehicleLeave.xOffset = 2
		E.db.general.minimap.icons.vehicleLeave.yOffset = 2
		E.db.general.topPanel = false
		E.db.general.bottomPanel = false
		E.db.general.backdropcolor = { r = 40/255,g = 40/255,b = 40/255 }
		E.db.general.backdropfadecolor = { r = 10/255,g = 10/255,b = 10/255, a = 0.65}
		E.db.general.valuecolor = E:GetColor(classColor.r, classColor.b, classColor.g)		
	-- Nameplate
		E.db.nameplates.statusbar = "tFlat"
		E.db.nameplates.font = "Semplice C"
		E.db.nameplates.fontSize = 8
		E.db.nameplates.fontOutline = "MONOCHROMEOUTLINE"
		E.db.nameplates.nonTargetTransparency = 0.5
		E.db.nameplates.classbar.enable = false
		E.db.nameplates.units.PLAYER.enable = false
		E.db.nameplates.units.HEALER.healthbar.enable = false
		E.db.nameplates.units.PLAYER.buffs.baseHeight = 30
		E.db.nameplates.units.HEALER.buffs.baseHeight = 30
		E.db.nameplates.units.FRIENDLY_PLAYER.buffs.baseHeight = 30
		E.db.nameplates.units.ENEMY_PLAYER.buffs.baseHeight = 30
		E.db.nameplates.units.FRIENDLY_NPC.buffs.baseHeight = 30
		E.db.nameplates.units.ENEMY_NPC.buffs.baseHeight = 30
		E.db.nameplates.motionType = "OVERLAP"
	-- Tooltip
		E.db.tooltip.font = "Roboto-Black"
		E.db.tooltip.cursorAnchor = false
		E.db.tooltip.targetInfo = false
		E.db.tooltip.playerTitles = false
		E.db.tooltip.inspectInfo = false
		E.db.tooltip.guildRanks = false
		E.db.tooltip.talentInfo = false
		E.db.tooltip.spellID = true
		E.db.tooltip.itemCount = "BOTH"
		E.db.tooltip.headerFontSize = 10
		E.db.tooltip.textFontSize = 10
		E.db.tooltip.fontOutline = "NONE"
		E.db.tooltip.smallTextFontSize = 10
		E.db.tooltip.healthBar.font = "Roboto-Black"
		E.db.tooltip.healthBar.height = 0
		E.db.tooltip.healthBar.text = false
		E.db.tooltip.healthBar.fontSize = 12
	--Unit Frames
		E.db.unitframe.OORAlpha = 0.55
		E.db.unitframe.debuffHighlighting = "NONE"
		E.db.unitframe.smartRaidFilter = false
		E.db.unitframe.smoothbars = true
		E.db.unitframe.statusbar = "tFlat"
		E.db.unitframe.font = "Semplice C"
		E.db.unitframe.fontSize = 8
		E.db.unitframe.fontOutline = "MONOCHROMEOUTLINE"
		-- Colors		
		E.db.unitframe.colors.healthclass = true
		E.db.unitframe.colors.forcehealthreaction = false
		E.db.unitframe.colors.colorhealthbyvalue = false
		E.db.unitframe.colors.customhealthbackdrop = true
		E.db.unitframe.colors.classbackdrop = false
		E.db.unitframe.colors.transparentHealth = false
		E.db.unitframe.colors.useDeadBackdrop = false
		E.db.unitframe.colors.health = { r = 0/255, g = 0/255, b = 0/255 }
		E.db.unitframe.colors.health_backdrop = { r = 34/255,g = 34/255,b = 34/255 }
		E.db.unitframe.colors.tapped = { r = 231/255, g = 241/255, b = 255/255 }
		E.db.unitframe.colors.disconnected = { r = 70/255, g = 70/255, b = 70/255 }
		E.db.unitframe.colors.powerclass = false
		E.db.unitframe.colors.transparentPower = false
		E.db.unitframe.colors.power.MANA = { r = 79/255,g = 115/255,b = 161/255 }
		E.db.unitframe.colors.power.RAGE = { r = 199/255,g = 64/255,b = 64/255 }
		E.db.unitframe.colors.power.FOCUS = { r = 181/255,g = 110/255,b = 69/255 }
		E.db.unitframe.colors.power.ENERGY = { r = 255/255,g = 234/255,b = 0/255 }
		E.db.unitframe.colors.power.RUNIC_POWER = { r = 0/255,g = 209/255,b = 255/255 }
		E.db.unitframe.colors.reaction.BAD = { r = 199/225, g = 64/225, b = 64/225 }
		E.db.unitframe.colors.reaction.NEUTRAL = { r = 218/255, g = 197/255, b = 92/255 }
		E.db.unitframe.colors.reaction.GOOD = { r = 75/255, g = 175/255, b = 76/255 }
		E.db.unitframe.colors.castClassColor = false
		E.db.unitframe.colors.transparentCastbar = false
		E.db.unitframe.colors.transparentAurabars = true
		E.db.unitframe.colors.castColor = { r = 135/255, g = 135/255, b = 135/255 }
		E.db.unitframe.colors.castNoInterrupt = { r = 239/255, g = 31/255, b = 44/255 }
	--Player
		E.db.unitframe.units.player.customTexts = {}
		E.db.unitframe.units.player.customTexts.HealthText = {}
		E.db.unitframe.units.player.combatIcon = false
		E.db.unitframe.units.player.restIcon = false
		E.db.unitframe.units.player.raidIcon = true
		E.db.unitframe.units.player.width = 203
		E.db.unitframe.units.player.height = 30
		E.db.unitframe.units.player.healPrediction = false
		E.db.unitframe.units.player.threatStyle = "NONE"
		E.db.unitframe.units.player.health.text_format = "[health:deficit]"
		E.db.unitframe.units.player.health.xOffset = 1
		E.db.unitframe.units.player.health.yOffset = -2
		E.db.unitframe.units.player.health.position = "TOPRIGHT"
		E.db.unitframe.units.player.name.text_format = ""
		E.db.unitframe.units.player.name.position = "BOTTOMLEFT"
		E.db.unitframe.units.player.name.yOffset = 1
		E.db.unitframe.units.player.power.text_format = "[power:current]"
		E.db.unitframe.units.player.power.position = "CENTER"
		E.db.unitframe.units.player.power.height = 15
		E.db.unitframe.units.player.power.yOffset = 0
		E.db.unitframe.units.player.power.xOffset = 0
		E.db.unitframe.units.player.power.attachTextToPower = true
		E.db.unitframe.units.player.power.attachTextTo = "Power"
		E.db.unitframe.units.player.power.detachFromFrame = true
		E.db.unitframe.units.player.power.detachedWidth = 203
		E.db.unitframe.units.player.power.width = "Filled"
		E.db.unitframe.units.player.pvp.text_format = ""
		E.db.unitframe.units.player.buffs.enable = false
		E.db.unitframe.units.player.buffs.yOffset = -64
		E.db.unitframe.units.player.buffs.attachTo = "FRAME"
		E.db.unitframe.units.player.debuffs.enable = true
		E.db.unitframe.units.player.debuffs.sizeOverride = 30
		E.db.unitframe.units.player.debuffs.xOffset = -2
		E.db.unitframe.units.player.debuffs.yOffset = 0
		E.db.unitframe.units.player.debuffs.fontSize = 8
		E.db.unitframe.units.player.debuffs.attachTo = "Frame"
		E.db.unitframe.units.player.debuffs.anchorPoint = "LEFT"
		E.db.unitframe.units.player.debuffs.perrow = 5
		E.db.unitframe.units.player.debuffs.numrows = 2
		E.db.unitframe.units.player.debuffs.useFilter = "Blacklist"
		E.db.unitframe.units.player.debuffs.spacing = 2
		E.db.unitframe.units.player.castbar.enable = true
		E.db.unitframe.units.player.castbar.width = 203
		E.db.unitframe.units.player.castbar.height = 20
		E.db.unitframe.units.player.castbar.icon = false
		E.db.unitframe.units.player.castbar.latency = false
		E.db.unitframe.units.player.castbar.format = "REMAINING"
		E.db.unitframe.units.player.castbar.ticks = true
		E.db.unitframe.units.player.castbar.spark = false
		E.db.unitframe.units.player.classbar.detachFromFrame = true
		E.db.unitframe.units.player.classbar.fill = "FILLED"
		E.db.unitframe.units.player.classbar.detachedWidth = 203
		E.db.unitframe.units.player.classbar.height = 15
		E.db.unitframe.units.player.classbar.autoHide = false
		if E.myclass == "DEATHKNIGHT" and IsAddOnLoaded("tRunes") then
			E.db.unitframe.units.player.classbar.enable = false
		else
			E.db.unitframe.units.player.classbar.enable = true
		end
		E.db.unitframe.units.player.aurabar.enable = false
		E.db.unitframe.units.player.aurabar.attachTo = "FRAME"
		E.db.unitframe.units.player.aurabar.height = 22
		E.db.unitframe.units.player.aurabar.anchorPoint = "BELOW"
		E.db.unitframe.units.player.stagger.enable = false
		E.db.unitframe.units.player.orientation = "MIDDLE"
	--Target
		E.db.unitframe.units.target.rangeCheck = true
		E.db.unitframe.units.target.width = 203
		E.db.unitframe.units.target.height = 42
		E.db.unitframe.units.target.healPrediction = false
		E.db.unitframe.units.target.threatStyle = "NONE"
		E.db.unitframe.units.target.health.text_format = "[health:current] || [health:percent]"
		E.db.unitframe.units.target.health.position = "TOPLEFT"
		E.db.unitframe.units.target.health.xOffset = 0
		E.db.unitframe.units.target.health.yOffset = -2
		E.db.unitframe.units.target.power.enable = true
		E.db.unitframe.units.target.power.height = 8
		E.db.unitframe.units.target.power.width = "inset"
		E.db.unitframe.units.target.power.attachTextToPower = false
		E.db.unitframe.units.target.power.detachedWidth = 200
		E.db.unitframe.units.target.power.detachFromFrame = false
		E.db.unitframe.units.target.power.text_format = ""
		E.db.unitframe.units.target.power.yOffset = 0
		E.db.unitframe.units.target.power.hideonnpc = false
		E.db.unitframe.units.target.power.position = "BOTTOMLEFT"
		E.db.unitframe.units.target.name.position = "TOPRIGHT"
		E.db.unitframe.units.target.name.text_format = "[name:abbrev]"
		E.db.unitframe.units.target.name.xOffset = 1
		E.db.unitframe.units.target.name.yOffset = -2
		E.db.unitframe.units.target.buffs.enable = true
		E.db.unitframe.units.target.buffs.anchorPoint = "RIGHT"
		E.db.unitframe.units.target.buffs.fontSize = 8
		E.db.unitframe.units.target.buffs.xOffset = 1
		E.db.unitframe.units.target.buffs.yOffset = 0
		E.db.unitframe.units.target.buffs.perrow = 4
		E.db.unitframe.units.target.buffs.sizeOverride = 30
		E.db.unitframe.units.target.debuffs.enable = true
		E.db.unitframe.units.target.debuffs.yOffset = -1
		E.db.unitframe.units.target.debuffs.attachTo = "FRAME"
		E.db.unitframe.units.target.debuffs.anchorPoint = "BOTTOMLEFT"
		E.db.unitframe.units.target.debuffs.fontSize = 8
		E.db.unitframe.units.target.debuffs.xOffset = 0
		E.db.unitframe.units.target.debuffs.perrow = 4
		E.db.unitframe.units.target.debuffs.sizeOverride = 30
		E.db.unitframe.units.target.castbar.enable = true
		E.db.unitframe.units.target.castbar.width = 350
		E.db.unitframe.units.target.castbar.height = 25
		E.db.unitframe.units.target.castbar.icon = true
		E.db.unitframe.units.target.castbar.format = "CURRENTMAX"
		E.db.unitframe.units.target.castbar.spark = false
		E.db.unitframe.units.target.castbar.latency = false
		E.db.unitframe.units.target.aurabar.enable = false
		E.db.unitframe.units.target.aurabar.height = 22
		E.db.unitframe.units.target.aurabar.anchorPoint = "ABOVE"
		E.db.unitframe.units.target.aurabar.maxDuration = 120
		E.db.unitframe.units.target.aurabar.attachTo = "FRAME"
		E.db.unitframe.units.target.customTexts = {}
	--ToT
		E.db.unitframe.units.targettarget.enable = true
		E.db.unitframe.units.targettarget.rangeCheck = true
		E.db.unitframe.units.targettarget.debuffs.enable = false
		E.db.unitframe.units.targettarget.width = 50
		E.db.unitframe.units.targettarget.height = 34
		E.db.unitframe.units.targettarget.power.enable = false
		E.db.unitframe.units.targettarget.name.position = "CENTER"
		E.db.unitframe.units.targettarget.name.text_format = "[name:veryshort]"
		E.db.unitframe.units.targettarget.name.xOffset = 1
		E.db.unitframe.units.targettarget.name.yOffset = 0
		E.db.unitframe.units.targettarget.healPrediction = false
		E.db.unitframe.units.targettarget.customTexts = {}
	--Focus
		E.db.unitframe.units.focus.rangeCheck = false
		E.db.unitframe.units.focus.width = 50
		E.db.unitframe.units.focus.height = 30
		E.db.unitframe.units.focus.power.enable = false
		E.db.unitframe.units.focus.threatStyle = "NONE"
		E.db.unitframe.units.focus.name.position = "CENTER"
		E.db.unitframe.units.focus.name.text_format = "[name:veryshort]"
		E.db.unitframe.units.focus.name.yOffset = 0
		E.db.unitframe.units.focus.name.xOffset = 1
		E.db.unitframe.units.focus.debuffs.enable = false
		E.db.unitframe.units.focus.castbar.enable = false
		E.db.unitframe.units.focus.healPrediction = false
	--Pet
		E.db.unitframe.units.pet.width = 85
		E.db.unitframe.units.pet.height = 25
		E.db.unitframe.units.pet.threatStyle = "NONE"
		E.db.unitframe.units.pet.healPrediction = false
		E.db.unitframe.units.pet.power.enable = false
		E.db.unitframe.units.pet.name.text_format = ""
		E.db.unitframe.units.pet.buffIndicator.enable = false
		E.db.unitframe.units.pet.castbar.enable = false
	--Boss
		E.db.unitframe.units.boss.enable = true
		E.db.unitframe.units.boss.targetGlow = false
		E.db.unitframe.units.boss.width = 125
		E.db.unitframe.units.boss.height = 35
		E.db.unitframe.units.boss.health.text_format = "[health:percent]"
		E.db.unitframe.units.boss.health.position = "TOPRIGHT"
		E.db.unitframe.units.boss.health.yOffset = -2
		E.db.unitframe.units.boss.health.xOffset = 0
		E.db.unitframe.units.boss.power.enable = true
		E.db.unitframe.units.boss.power.position = "BOTTOM"
		E.db.unitframe.units.boss.power.yOffset = -8
		E.db.unitframe.units.boss.power.text_format = ""
		E.db.unitframe.units.boss.power.height = 4
		E.db.unitframe.units.boss.power.width = "spaced"
		E.db.unitframe.units.boss.name.text_format = "[name:abbrev]"
		E.db.unitframe.units.boss.name.position = "BOTTOMLEFT"
		E.db.unitframe.units.boss.buffs.enable = false
		E.db.unitframe.units.boss.debuffs.enable = true
		E.db.unitframe.units.boss.debuffs.sizeOverride = 30
		E.db.unitframe.units.boss.debuffs.anchorPoint = "RIGHT"
		E.db.unitframe.units.boss.debuffs.xOffset = -2
		E.db.unitframe.units.boss.debuffs.yOffset = 0
		E.db.unitframe.units.boss.debuffs.perrow = 4
		E.db.unitframe.units.boss.debuffs.numrows = 1
		E.db.unitframe.units.boss.debuffs.fontSize = 8
		E.db.unitframe.units.boss.debuffs.clickThrough = true
		E.db.unitframe.units.boss.castbar.enable = false
		E.db.unitframe.units.boss.castbar.width = 125
		E.db.unitframe.units.boss.castbar.height = 8
		E.db.unitframe.units.boss.castbar.spark = false
		E.db.unitframe.units.boss.castbar.icon = false
		E.db.unitframe.units.boss.growthDirection = "UP"
		E.db.unitframe.units.boss.spacing = 3
	--Arena
		E.db.unitframe.units.arena.width = 225
		E.db.unitframe.units.arena.height = 40
		E.db.unitframe.units.arena.health.text_format = "[health:current]"
		E.db.unitframe.units.arena.power.text_format = "[powercolor][power:current]"
		E.db.unitframe.units.arena.name.text_format = "[namecolor][name:medium]"
		E.db.unitframe.units.arena.buffs.anchorPoint = "RIGHT"
		E.db.unitframe.units.arena.buffs.fontSize = 11
		E.db.unitframe.units.arena.buffs.sizeOverride = 18
		E.db.unitframe.units.arena.buffs.xOffset = 2
		E.db.unitframe.units.arena.buffs.yOffset = 10
		E.db.unitframe.units.arena.debuffs.fontSize = 11
		E.db.unitframe.units.arena.debuffs.sizeOverride = 18
		E.db.unitframe.units.arena.debuffs.xOffset = 2
		E.db.unitframe.units.arena.debuffs.yOffset = -10
		E.db.unitframe.units.arena.castbar.width = 225
		E.db.unitframe.units.arena.castbar.height = 10
		E.db.unitframe.units.arena.castbar.icon = false
		E.db.unitframe.units.arena.castbar.format = ""
		E.db.unitframe.units.arena.castbar.spark = false
	--Party
		E.db.unitframe.units.party.width = 55
		E.db.unitframe.units.party.height = 45
		E.db.unitframe.units.party.threatStyle = "NONE"
		E.db.unitframe.units.party.growthDirection = "LEFT_DOWN"
		E.db.unitframe.units.party.horizontalSpacing = 2
		E.db.unitframe.units.party.verticalSpacing = 2
		E.db.unitframe.units.party.health.text_format = ""
		E.db.unitframe.units.party.power.enable = true
		E.db.unitframe.units.party.name.position = "TOP"
		E.db.unitframe.units.party.name.text_format = "[name:veryshort]"
		E.db.unitframe.units.party.name.yOffset = -4
		E.db.unitframe.units.party.rdebuffs.enable = true
		E.db.unitframe.units.party.rdebuffs.showDispellableDebuff = true
		E.db.unitframe.units.party.debuffs.enable = false
		E.db.unitframe.units.party.buffIndicator.enable = true
		E.db.unitframe.units.party.roleIcon.enable = false
		E.db.unitframe.units.party.debuffs.enable = false
		E.db.unitframe.units.party.debuffs.perrow = 1
		E.db.unitframe.units.party.debuffs.numrows = 3
		E.db.unitframe.units.party.debuffs.sizeOverride = 30
		E.db.unitframe.units.party.debuffs.yOffset = -1
		E.db.unitframe.units.party.debuffs.anchorPoint = "BOTTOM"
		E.db.unitframe.units.party.debuffs.onlyDispellable = true
		E.db.unitframe.units.party.buffs.enable = false
		E.db.unitframe.units.party.buffs.perrow = 2
		E.db.unitframe.units.party.buffs.numrows = 1
		E.db.unitframe.units.party.buffs.sizeOverride = 20
		E.db.unitframe.units.party.buffs.xOffset = -47
		E.db.unitframe.units.party.buffs.yOffset = 0
		E.db.unitframe.units.party.buffs.anchorPoint = "RIGHT"
		E.db.unitframe.units.party.visibility = "[@raid6,exists][nogroup] hide;show"
	--Raid
		E.db.unitframe.units.raid.width = 55
		E.db.unitframe.units.raid.height = 45
		E.db.unitframe.units.raid.threatStyle = "NONE"
		E.db.unitframe.units.raid.growthDirection = "RIGHT_UP"
		E.db.unitframe.units.raid.visibility = "[@raid6,noexists] hide;show"
		E.db.unitframe.units.raid.horizontalSpacing = 2
		E.db.unitframe.units.raid.verticalSpacing = 2
		E.db.unitframe.units.raid.healPrediction = true
		E.db.unitframe.units.raid.rdebuffs.enable = true
		E.db.unitframe.units.raid.health.text_format = ""
		E.db.unitframe.units.raid.power.enable = false
		E.db.unitframe.units.raid.name.position = "TOP"
		E.db.unitframe.units.raid.name.text_format = "[name:veryshort]"
		E.db.unitframe.units.raid.GPSArrow.enable = false
		E.db.unitframe.units.raid.roleIcon.enable = false
		E.db.unitframe.units.raid.numGroups = 8
		E.db.unitframe.units.raid.rdebuffs.enable = true
		E.db.unitframe.units.raid.rdebuffs.showDispellableDebuff = true
		E.db.unitframe.units.raid.buffIndicator.enable = true
		E.db.unitframe.units.raid40.enable = false
		E.db.unitframe.units.raid40.width = 55
		E.db.unitframe.units.raid40.height = 30
		E.db.unitframe.units.tank.enable = false
		E.db.unitframe.units.assist.enable = false
		E.db.unitframe.units.tank.enable = false
		E.db.unitframe.units.assist.enable = false
	end
	
	if not noDisplayMsg then
		E:UpdateAll(true)
	end
end

function E:SetupAddon(addon)
	if addon == 'Skada' then
		InstallStepComplete.message = L["AddOn Profiles Installed"]
		InstallStepComplete:Show()
		if IsAddOnLoaded('Skada') then
			SkadaDB['profiles']["Default"] = {
			["windows"] = {
				{
					["classicons"] = false,
					["barslocked"] = true,
					["background"] = {
						["color"] = {
							["a"] = 0,
							["r"] = 0.376470588235294,
							["g"] = 0.376470588235294,
							["b"] = 0.376470588235294,
						},
						["height"] = 228.3,
						["texture"] = "None",
					},
					["wipemode"] = "Damage",
					["set"] = "total",
					["y"] = 33.0054321289063,
					["barfont"] = "Semplice C",
					["title"] = {
						["color"] = {
							["a"] = 1,
							["r"] = 0,
							["g"] = 0,
							["b"] = 0,
						},
						["font"] = "Roboto-Black",
						["fontsize"] = 12,
						["borderthickness"] = 0,
						["height"] = 17,
						["texture"] = "tFlat",
					},
					["barfontflags"] = "OUTLINEMONOCHROME",
					["point"] = "BOTTOMRIGHT",
					["barfontsize"] = 8,
					["mode"] = "Damage",
					["x"] = -32.9991455078125,
					["bartexture"] = "tFlat",
					["barwidth"] = 235.000403689875,
					["barbgcolor"] = {
						["a"] = 0,
						["b"] = 0.337254901960784,
						["g"] = 0.337254901960784,
						["r"] = 0.337254901960784,
					},
					["barcolor"] = {
						["a"] = 0.800000011920929,
						["r"] = 0.443137254901961,
						["g"] = 0.443137254901961,
						["b"] = 0.443137254901961,
					},
					["returnaftercombat"] = true,
					["enabletitle"] = false,
					["buttons"] = {
						["menu"] = false,
						["mode"] = false,
						["segment"] = false,
					},
					["modeincombat"] = "Damage",
				}, -- [1]
			},
			["icon"] = {
				["hide"] = true,
			},
			["showranks"] = false,
			["onlykeepbosses"] = true,
			["tooltippos"] = "topright",
			["reset"] = {
				["join"] = 2,
			},
		}
		end
		
		if IsAddOnLoaded('BigWigs') then
			BigWigs3DB = {
				["namespaces"] = {
					["BigWigs_Plugins_Victory"] = {
					},
					["BigWigs_Plugins_Alt Power"] = {
						["profiles"] = {
							["Default"] = {
								["posx"] = 1193.95591919313,
								["fontSize"] = 11.999999726451,
								["disabled"] = true,
								["fontOutline"] = "",
								["posy"] = 289.422569014691,
								["font"] = "RobotoCondensed-Bold",
							},
						},
					},
					["BigWigs_Plugins_BossBlock"] = {
					},
					["BigWigs_Plugins_Sounds"] = {
					},
					["BigWigs_Plugins_Statistics"] = {
					},
					["BigWigs_Plugins_Colors"] = {
					},
					["BigWigs_Plugins_Raid Icons"] = {
					},
					["BigWigs_Plugins_Bars"] = {
						["profiles"] = {
							["Default"] = {
								["outline"] = "OUTLINE",
								["fontSize"] = 8,
								["emphasizeScale"] = 1,
								["BigWigsAnchor_width"] = 201.000198364258,
								["BigWigsAnchor_y"] = 334.22108014157,
								["BigWigsEmphasizeAnchor_x"] = 558.22449268373,
								["BigWigsEmphasizeAnchor_width"] = 349.000183105469,
								["BigWigsEmphasizeAnchor_y"] = 464.154872350337,
								["emphasizeGrowup"] = true,
								["BigWigsAnchor_x"] = 834.844811881922,
								["font"] = "Semplice C",
								["monochrome"] = true,
								["barStyle"] = "ElvUI",
								["icon"] = false,
								["texture"] = "tFlat",
							},
						},
					},
					["BigWigs_Plugins_Super Emphasize"] = {
						["profiles"] = {
							["Default"] = {
								["outline"] = "OUTLINE",
								["fontSize"] = 30,
								["font"] = "Roboto-Black",
								["monochrome"] = false,
							},
						},
					},
					["LibDualSpec-1.0"] = {
					},
					["BigWigs_Plugins_Proximity"] = {
						["profiles"] = {
							["Default"] = {
								["posx"] = 533.333693469904,
								["font"] = "RobotoCondensed-Bold",
								["posy"] = 356.97726558843,
								["lock"] = false,
								["height"] = 95.999870300293,
								["soundDelay"] = 10,
								["objects"] = {
									["title"] = false,
									["close"] = false,
									["ability"] = false,
									["tooltip"] = false,
									["sound"] = false,
									["background"] = false,
								},
								["width"] = 100.000030517578,
							},
						},
					},
					["BigWigs_Plugins_Messages"] = {
						["profiles"] = {
							["Default"] = {
								["outline"] = "OUTLINE",
								["BWEmphasizeMessageAnchor_x"] = 613.688903748989,
								["BWEmphasizeCountdownMessageAnchor_x"] = 797.86738043098,
								["BWMessageAnchor_x"] = 612.266073853425,
								["chat"] = false,
								["BWEmphasizeCountdownMessageAnchor_y"] = 350.577308836237,
								["font"] = "Roboto-Black",
								["BWEmphasizeMessageAnchor_y"] = 580.266159884122,
								["BWMessageAnchor_y"] = 580.977661637462,
								["monochrome"] = true,
								["fontSize"] = 20,
								["sink20OutputSink"] = "BigWigsEmphasized",
							},
						},
					},
					["BigWigs_Plugins_Pull"] = {
					},
					["BigWigs_Plugins_Respawn"] = {
					},
				},
			}
		end		
	end
end

local function InstallComplete()
	E.db.movers["ElvUF_PartyMover"] = "TOPRIGHT,ElvUIParent,BOTTOMLEFT,1102,163"
	E.global.general.animateConfig = false
	E.private.install_complete = E.version
	ReloadUI()
end
		
local function ResetAll()
	AddOnsBtn:Hide()
	AddOnsBtn:SetScript('OnClick', nil)
	AddOnsBtn:SetText('')
	InstallBtn:Hide()
	InstallBtn:SetScript('OnClick', nil)
	InstallBtn:SetText('')
	FinishBtn:Hide()
	FinishBtn:SetScript('OnClick', nil)
	FinishBtn:SetText('')
	UnlockBtn:Hide()
	UnlockBtn:SetScript('OnClick', nil)
	UnlockBtn:SetText('')
	ExitBtn:Hide()
	ExitBtn:SetScript('OnClick', nil)
	ExitBtn:SetText('')
	ElvUIInstallFrame:Size(260, 220)
end

local function SetPage(PageNum)
	CURRENT_PAGE = PageNum
	ResetAll()
	
	local f = ElvUIInstallFrame
		
	if PageNum == 1 then
		f.InstallBtn:Show()
		f.FinishBtn:Show()	
	end	

	if PageNum == 1 then
		InstallBtn:Show()
		InstallBtn:SetScript('OnClick', function() E:SetupTheme('TohrUI'); end)
		
		AddOnsBtn:Show()
		AddOnsBtn:SetScript("OnClick", function() E:SetupAddon('Skada'); end)
		
		FinishBtn:Show()
		FinishBtn:SetScript("OnClick", function() InstallComplete(); end)
		
		UnlockBtn:Show()
		UnlockBtn:SetScript("OnClick", function() E:ToggleConfigMode() end)
		
		ExitBtn:Show()
		ExitBtn:SetScript("OnClick", function() f:Hide() end)
	end
end

local function NextPage()	
	if CURRENT_PAGE ~= MAX_PAGE then
		CURRENT_PAGE = CURRENT_PAGE + 1
		SetPage(CURRENT_PAGE)
	end
end

local function PreviousPage()
	if CURRENT_PAGE ~= 1 then
		CURRENT_PAGE = CURRENT_PAGE - 1
		SetPage(CURRENT_PAGE)
	end
end

--Install UI
function E:Install()	
	if not InstallStepComplete then
		local imsg = CreateFrame("Frame", "InstallStepComplete", E.UIParent)
		imsg:Size(206, 150)
		imsg:Point("TOP", 0, -190)
		imsg:Hide()
		imsg:SetScript('OnShow', function(self)
			if self.message then 
				self.text:SetText(self.message)
				UIFrameFadeOut(self, 3.5, 1, 0)
				E:Delay(4, function() self:Hide() end)	
				self.message = nil

				if imsg.firstShow == false then			
					imsg.firstShow = true
				end
			else
				self:Hide()
			end
		end)

		imsg.firstShow = false

		imsg.bg = imsg:CreateTexture(nil, 'BACKGROUND')
		imsg.bg:SetTexture([[Interface\LevelUp\LevelUpTex]])
		imsg.bg:SetPoint('BOTTOM')
		imsg.bg:Size(206, 150)
		imsg.bg:SetTexCoord(0.00195313, 0.63867188, 0.03710938, 0.23828125)
		imsg.bg:SetVertexColor(1, 1, 1, 0.6)


		imsg.lineBottom = imsg:CreateTexture(nil, 'BACKGROUND')
		imsg.lineBottom:SetDrawLayer('BACKGROUND', 2)
		imsg.lineBottom:SetTexture([[Interface\LevelUp\LevelUpTex]])
		imsg.lineBottom:SetPoint("BOTTOM")
		imsg.lineBottom:Size(206, 150)
		imsg.lineBottom:SetTexCoord(0.00195313, 0.81835938, 0.01953125, 0.03320313)

		imsg.text = imsg:CreateFontString(nil, 'ARTWORK', 'GameFont_Gigantic')
		imsg.text:Point("BOTTOM", 0, 12)
		imsg.text:SetTextColor(1, 0.82, 0)
		imsg.text:SetJustifyH("CENTER")
		
	end

	--Create Frame
	if not ElvUIInstallFrame then
		local f = CreateFrame("Button", "ElvUIInstallFrame", E.UIParent)
		f.SetPage = SetPage
		f:Size(206, 150)
		f:SetTemplate("Transparent")
		f:SetPoint("CENTER")
		f:SetFrameStrata('LOW')
		
		f.InstallBtn = CreateFrame("Button", "InstallBtn", f, "UIPanelButtonTemplate")
		f.InstallBtn:StripTextures()
		f.InstallBtn:SetFrameStrata('MEDIUM')
		f.InstallBtn:Size(59, 40)
		f.InstallBtn:Point("BOTTOM", -65, 24)
		f.InstallBtn.text = f.InstallBtn:CreateFontString(nil, 'OVERLAY')
		f.InstallBtn.text:FontTemplate()
		f.InstallBtn.text:SetAllPoints()
		f.InstallBtn.text:SetText('|cffFF4D4DInstall')
		E.Skins:HandleButton(f.InstallBtn, true)
		
		f.FinishBtn = CreateFrame("Button", "FinishBtn", f, "UIPanelButtonTemplate")
		f.FinishBtn:StripTextures()
		f.FinishBtn:Size(59, 40)
		f.FinishBtn:Point("BOTTOM", 65, 24)
		f.FinishBtn.text = f.FinishBtn:CreateFontString(nil, 'OVERLAY')
		f.FinishBtn.text:FontTemplate()
		f.FinishBtn.text:SetAllPoints()
		f.FinishBtn.text:SetText('|cff66FF66Done')
		E.Skins:HandleButton(f.FinishBtn, true)
		
		f.AddOnsBtn = CreateFrame("Button", "AddOnsBtn", f, "UIPanelButtonTemplate")
		f.AddOnsBtn:StripTextures()
		f.AddOnsBtn:Size(59, 40)
		f.AddOnsBtn:Point("BOTTOM", 0, 24)
		f.AddOnsBtn.text = f.AddOnsBtn:CreateFontString(nil, 'OVERLAY')
		f.AddOnsBtn.text:FontTemplate()
		f.AddOnsBtn.text:SetAllPoints()
		f.AddOnsBtn.text:SetText('|cff99E6FFAddOns')
		E.Skins:HandleButton(f.AddOnsBtn, true)
		
		f.UnlockBtn = CreateFrame("Button", "UnlockBtn", f, "UIPanelButtonTemplate")
		f.UnlockBtn:StripTextures()
		f.UnlockBtn:SetFrameStrata('MEDIUM')
		f.UnlockBtn:Size(42, 16)
		f.UnlockBtn:Point("BOTTOMLEFT", 2, 2)
		f.UnlockBtn.text = f.UnlockBtn:CreateFontString(nil, 'OVERLAY')
		f.UnlockBtn.text:FontTemplate()
		f.UnlockBtn.text:SetPoint("CENTER", f.UnlockBtn, "CENTER", 0, 0)
		f.UnlockBtn.text:SetText('Unlock')
		E.Skins:HandleButton(f.UnlockBtn, true)
		
		f.ExitBtn = CreateFrame("Button", "ExitBtn", f, "UIPanelButtonTemplate")
		f.ExitBtn:StripTextures()
		f.ExitBtn:SetFrameStrata('MEDIUM')
		f.ExitBtn:Size(42, 16)
		f.ExitBtn:Point("BOTTOMRIGHT", -2, 2)
		f.ExitBtn.text = f.ExitBtn:CreateFontString(nil, 'OVERLAY')
		f.ExitBtn.text:FontTemplate()
		f.ExitBtn.text:SetPoint("CENTER", f.ExitBtn, "CENTER", 2, 0)
		f.ExitBtn.text:SetText('Exit')
		E.Skins:HandleButton(f.ExitBtn, true)
				
		f.Logo = f:CreateTexture('Logo', 'OVERLAY')
		f.Logo:SetTexture('Interface\\AddOns\\ElvUI_TohrUI\\media\\textures\\TohrUI.tga')
		f.Logo:Point('TOP', 8, 25)		
	end
	
	ElvUIInstallFrame:Show()
	NextPage()
end